Bug 240503 - internal compiler error: in dwarf2out_finish
Summary: internal compiler error: in dwarf2out_finish
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-17 22:58 UTC by Greg Couch
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0616
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 20:09:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C++ preprocessed source file (1.43 MB, text/plain)
2007-05-17 22:58 UTC, Greg Couch
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0616 normal SHIPPED_LIVE gcc bug fix update 2007-10-30 23:07:14 UTC
Red Hat Bugzilla 227376 None None None Never

Description Greg Couch 2007-05-17 22:58:40 UTC
Description of problem:

Tile.cpp:320: internal compiler error: in dwarf2out_finish, at dwarf2out.c:14148

Version-Release number of selected component (if applicable):

[gregc@ockham _chimera]$ gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk
--disable-dssi --enable-plugin
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --with-cpu=generic
--host=x86_64-redhat-linux
Thread model: posix
gcc version 4.1.1 20070105 (Red Hat 4.1.1-52)

How reproducible:

Use attached preprocessed C++ source.

Steps to Reproduce:

Use attached preprocessed C++ source.
  
Actual results:

See description.

Expected results:

A sucessful compile with debugging information.

Additional info:

Comment 1 Greg Couch 2007-05-17 22:58:41 UTC
Created attachment 154961 [details]
C++ preprocessed source file

Comment 2 Jakub Jelinek 2007-05-22 15:30:51 UTC
This has been already fixed in gcc-4.1.2-1 and will make it into RHEL5.1
gcc.
http://gcc.gnu.org/ml/gcc-patches/2007-02/msg01127.html
http://gcc.gnu.org/ml/gcc-patches/2007-05/msg01458.html


Comment 3 RHEL Product and Program Management 2007-05-22 15:46:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jakub Jelinek 2007-06-27 08:02:32 UTC
Should be fixed in gcc-4.1.2-13.el5.

Comment 11 errata-xmlrpc 2007-11-07 20:09:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0616.html



Note You need to log in before you can comment on or make changes to this bug.